Application WebhooksTest application webhook

Test application webhook

Sends a test event to the webhook endpoint configured for the given webhook. The application must belong to the authenticated merchant.

curl -X POST "https://api.example.com/api/v1/applications/example_string/webhooks/example_string/test" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (JWT)"
{
  "success": true,
  "httpStatusCode": 200,
  "responseBody": "{"ok":true}",
  "latencyMs": 142,
  "deliveredAt": "2026-04-10T08:05:00.000Z"
}
POST
/api/v1/applications/{applicationId}/webhooks/{webhookId}/test
POST
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token (JWT)
Bearer Tokenstring
Required

Bearer token (JWT) - just enter the token, "Bearer" prefix will be added automatically

path
applicationIdstring
Required

ID of the application that owns the webhook.

path
webhookIdstring
Required

ID of the webhook to test.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (JWT). Authentication token required.

Path Parameters

applicationIdstring
Required

ID of the application that owns the webhook.

webhookIdstring
Required

ID of the webhook to test.

Responses

successboolean
Required

Whether the merchant endpoint responded with a 2xx status.

httpStatusCodenumber
Required

HTTP status code returned by the merchant endpoint, or null on network failure.

responseBodystring
Required

First 1024 characters of the merchant response body, or null on network failure.

latencyMsnumber
Required

Round-trip latency in milliseconds.

deliveredAtstring
Required

ISO 8601 timestamp when the delivery was initiated.